// SPDX-License-Identifier: BSD-3-Clause
package org.islandoftex.texplate.model.handlers;

import java.util.Arrays;

/**
 * Implements a boolean handler.
 *
 * @version 1.0
 * @since 1.0
 */
public class BooleanHandler implements Handler {

    /**
     * Applies the conversion to the string.
     *
     * @param string The string.
     * @return A list.
     */
    @Override
    public Object apply(String string) {
        return Arrays.asList("true", "1", "yes")
                .contains(string.toLowerCase());
    }

}
